package jaggl;

import java.awt.Canvas;
import java.util.Hashtable;

public class OpenGL {

   long peer;
   private Hashtable aHashtable1732;
   private Thread aThread1733;
   private static Hashtable aHashtable1734 = new Hashtable();
   public static final int anInt1735 = 5120;
   public static final int anInt1736 = 5121;
   public static final int anInt1737 = 5122;
   public static final int anInt1738 = 5123;
   public static final int anInt1739 = 5124;
   public static final int anInt1740 = 5125;
   public static final int anInt1741 = 5126;
   public static final int anInt1742 = 0;
   public static final int anInt1743 = 1;
   public static final int anInt1744 = 2;
   public static final int anInt1745 = 3;
   public static final int anInt1746 = 4;
   public static final int anInt1747 = 5;
   public static final int anInt1748 = 6;
   public static final int anInt1749 = 7;
   public static final int anInt1750 = 5888;
   public static final int anInt1751 = 5889;
   public static final int anInt1752 = 5890;
   public static final int anInt1753 = 2832;
   public static final int anInt1754 = 2834;
   public static final int anInt1755 = 6913;
   public static final int anInt1756 = 6914;
   public static final int anInt1757 = 1028;
   public static final int anInt1758 = 1029;
   public static final int anInt1759 = 2884;
   public static final int anInt1760 = 4864;
   public static final int anInt1761 = 515;
   public static final int anInt1762 = 516;
   public static final int anInt1763 = 2929;
   public static final int anInt1764 = 6402;
   public static final int anInt1765 = 2896;
   public static final int anInt1766 = 16384;
   public static final int anInt1767 = 16385;
   public static final int anInt1768 = 16386;
   public static final int anInt1769 = 4615;
   public static final int anInt1770 = 4616;
   public static final int anInt1771 = 4617;
   public static final int anInt1772 = 4608;
   public static final int anInt1773 = 4609;
   public static final int anInt1774 = 4611;
   public static final int anInt1775 = 5634;
   public static final int anInt1776 = 2899;
   public static final int anInt1777 = 1032;
   public static final int anInt1778 = 7425;
   public static final int anInt1779 = 2903;
   public static final int anInt1780 = 260;
   public static final int anInt1781 = 3008;
   public static final int anInt1782 = 3042;
   public static final int anInt1783 = 0;
   public static final int anInt1784 = 1;
   public static final int anInt1785 = 768;
   public static final int anInt1786 = 769;
   public static final int anInt1787 = 770;
   public static final int anInt1788 = 771;
   public static final int anInt1789 = 774;
   public static final int anInt1790 = 2912;
   public static final int anInt1791 = 2917;
   public static final int anInt1792 = 2914;
   public static final int anInt1793 = 2918;
   public static final int anInt1794 = 2915;
   public static final int anInt1795 = 2916;
   public static final int anInt1796 = 9729;
   public static final int anInt1797 = 7681;
   public static final int anInt1798 = 6406;
   public static final int anInt1799 = 6409;
   public static final int anInt1800 = 6410;
   public static final int anInt1801 = 6144;
   public static final int anInt1802 = 6407;
   public static final int anInt1803 = 6408;
   public static final int anInt1804 = 2982;
   public static final int anInt1805 = 3156;
   public static final int anInt1806 = 4353;
   public static final int anInt1807 = 3089;
   public static final int anInt1808 = 3348;
   public static final int anInt1809 = 3349;
   public static final int anInt1810 = 3352;
   public static final int anInt1811 = 3353;
   public static final int anInt1812 = 3354;
   public static final int anInt1813 = 3355;
   public static final int anInt1814 = 3317;
   public static final int anInt1815 = 3314;
   public static final int anInt1816 = 8960;
   public static final int anInt1817 = 8704;
   public static final int anInt1818 = 3552;
   public static final int anInt1819 = 3553;
   public static final int anInt1820 = 10242;
   public static final int anInt1821 = 10243;
   public static final int anInt1822 = 10240;
   public static final int anInt1823 = 10241;
   public static final int anInt1824 = 8705;
   public static final int anInt1825 = 3168;
   public static final int anInt1826 = 3169;
   public static final int anInt1827 = 9472;
   public static final int anInt1828 = 9984;
   public static final int anInt1829 = 9987;
   public static final int anInt1830 = 9217;
   public static final int anInt1831 = 9473;
   public static final int anInt1832 = 9216;
   public static final int anInt1833 = 9474;
   public static final int anInt1834 = 8448;
   public static final int anInt1835 = 9728;
   public static final int anInt1836 = 10497;
   public static final int anInt1837 = 8192;
   public static final int anInt1838 = 8193;
   public static final int anInt1839 = 8194;
   public static final int anInt1840 = 8195;
   public static final int anInt1841 = 3170;
   public static final int anInt1842 = 3171;
   public static final int anInt1843 = 7936;
   public static final int anInt1844 = 7937;
   public static final int anInt1845 = 7938;
   private static final int anInt1846 = 7939;
   public static final int anInt1847 = 256;
   public static final int anInt1848 = 1024;
   public static final int anInt1849 = 2048;
   public static final int anInt1850 = 16384;
   public static final int anInt1851 = 32830;
   public static final int anInt1852 = 32834;
   public static final int anInt1853 = 32852;
   public static final int anInt1854 = 32859;
   public static final int anInt1855 = 32884;
   public static final int anInt1856 = 32885;
   public static final int anInt1857 = 32886;
   public static final int anInt1858 = 32888;
   public static final int anInt1859 = 32879;
   public static final int anInt1860 = 33639;
   public static final int anInt1861 = 32993;
   public static final int anInt1862 = 33071;
   public static final int anInt1863 = 33984;
   public static final int anInt1864 = 33985;
   public static final int anInt1865 = 34018;
   public static final int anInt1866 = 32925;
   public static final int anInt1867 = 34065;
   public static final int anInt1868 = 34066;
   public static final int anInt1869 = 34067;
   public static final int anInt1870 = 34069;
   public static final int anInt1871 = 34070;
   public static final int anInt1872 = 34071;
   public static final int anInt1873 = 34072;
   public static final int anInt1874 = 34073;
   public static final int anInt1875 = 34074;
   public static final int anInt1876 = 34160;
   public static final int anInt1877 = 34161;
   public static final int anInt1878 = 34162;
   public static final int anInt1879 = 34176;
   public static final int anInt1880 = 34178;
   public static final int anInt1881 = 34184;
   public static final int anInt1882 = 34186;
   public static final int anInt1883 = 34192;
   public static final int anInt1884 = 34200;
   public static final int anInt1885 = 34163;
   public static final int anInt1886 = 34165;
   public static final int anInt1887 = 34023;
   public static final int anInt1888 = 34166;
   public static final int anInt1889 = 34167;
   public static final int anInt1890 = 34168;
   public static final int anInt1891 = 34479;
   public static final int anInt1892 = 33189;
   public static final int anInt1893 = 33190;
   public static final int anInt1894 = 34895;
   public static final int anInt1895 = 35001;
   public static final int anInt1896 = 34929;
   public static final int anInt1897 = 34930;
   public static final int anInt1898 = 35632;
   public static final int anInt1899 = 35633;
   public static final int anInt1900 = 34336;
   public static final int anInt1901 = 34379;
   public static final int anInt1902 = 34933;
   public static final int anInt1903 = 34820;
   public static final int anInt1904 = 34962;
   public static final int anInt1905 = 34963;
   public static final int anInt1906 = 35040;
   public static final int anInt1907 = 35044;
   public static final int anInt1908 = 35713;
   public static final int anInt1909 = 35714;
   public static final int anInt1910 = 35716;
   public static final int anInt1911 = 35633;
   public static final int anInt1912 = 35632;
   public static final int anInt1913 = 34037;
   public static final int anInt1914 = 5131;
   public static final int anInt1915 = 34836;
   public static final int anInt1916 = 34837;
   public static final int anInt1917 = 34838;
   public static final int anInt1918 = 34840;
   public static final int anInt1919 = 34841;
   public static final int anInt1920 = 34842;
   public static final int anInt1921 = 34843;
   public static final int anInt1922 = 34844;
   public static final int anInt1923 = 34846;
   public static final int anInt1924 = 34847;
   public static final int anInt1925 = 33777;
   public static final int anInt1926 = 33779;
   public static final int anInt1927 = 36053;
   public static final int anInt1928 = 36064;
   public static final int anInt1929 = 36096;
   public static final int anInt1930 = 36160;
   public static final int anInt1931 = 36161;
   public static final int anInt1932 = 36008;
   public static final int anInt1933 = 36219;


   public native long init(Canvas var1, int var2, int var3, int var4, int var5, int var6, int var7);

   public native boolean arePbuffersAvailable();

   public boolean method2775(String var1) {
      if(null == this.aHashtable1732) {
         this.aHashtable1732 = new Hashtable();
         String var2 = glGetString(7939);
         int var3 = 0;

         while(true) {
            int var4 = var2.indexOf(32, var3);
            if(-1 == var4) {
               String var6 = var2.substring(var3).trim();
               if(var6.length() != 0) {
                  this.aHashtable1732.put(var6, var6);
               }
               break;
            }

            String var5 = var2.substring(var3, var4).trim();
            if(var5.length() != 0) {
               this.aHashtable1732.put(var5, var5);
            }

            var3 = var4 + 1;
         }
      }

      return this.aHashtable1732.containsKey(var1);
   }

   public synchronized boolean method2776() {
      Thread var1 = Thread.currentThread();
      if(this.attachPeer()) {
         OpenGL var2 = (OpenGL)aHashtable1734.put(var1, this);
         if(var2 != null) {
            var2.aThread1733 = null;
         }

         this.aThread1733 = var1;
         return true;
      } else {
         return false;
      }
   }

   public synchronized boolean method2777() {
      if(this.aThread1733 != Thread.currentThread()) {
         return false;
      } else {
         this.detachPeer();
         aHashtable1734.remove(this.aThread1733);
         this.aThread1733 = null;
         return true;
      }
   }

   private native boolean attachPeer();

   private native void detachPeer();

   public native long prepareSurface(Canvas var1);

   public native void surfaceResized(long var1);

   public native void releaseSurface(Canvas var1, long var2);

   public native boolean setSurface(long var1);

   public native long createPbuffer(int var1, int var2);

   public native void releasePbuffer(long var1);

   public native void setPbuffer(long var1);

   public native void swapBuffers(long var1);

   public native void setSwapInterval(int var1);

   public native void release();

   public static native void glEnable(int var0);

   public static native void glDisable(int var0);

   public static native void glCullFace(int var0);

   public static native void glPushAttrib(int var0);

   public static native void glPopAttrib();

   public static native void glShadeModel(int var0);

   public static native void glHint(int var0, int var1);

   public static native void glFinish();

   public static native void glFlush();

   public static native void glClear(int var0);

   public static native void glClearColor(float var0, float var1, float var2, float var3);

   public static native void glClearDepth(float var0);

   public static native void glDepthFunc(int var0);

   public static native void glDepthMask(boolean var0);

   public static native void glDepthRange(float var0, float var1);

   public static native void glAlphaFunc(int var0, float var1);

   public static native void glColorMask(boolean var0, boolean var1, boolean var2, boolean var3);

   public static native void glReadBuffer(int var0);

   public static native void glDrawBuffer(int var0);

   public static native void glDrawBuffersARB(int var0, int[] var1, int var2);

   public static native void glMatrixMode(int var0);

   public static native void glPushMatrix();

   public static native void glPopMatrix();

   public static native void glLoadIdentity();

   public static native void glOrtho(double var0, double var2, double var4, double var6, double var8, double var10);

   public static native void glFrustum(double var0, double var2, double var4, double var6, double var8, double var10);

   public static native void glTranslatef(float var0, float var1, float var2);

   public static native void glRotatef(float var0, float var1, float var2, float var3);

   public static native void glScalef(float var0, float var1, float var2);

   public static native void glLoadMatrixf(float[] var0, int var1);

   public static native void glMultMatrixf(float[] var0, int var1);

   public static native void glViewport(int var0, int var1, int var2, int var3);

   public static native void glScissor(int var0, int var1, int var2, int var3);

   public static native int glGenLists(int var0);

   public static native void glDeleteLists(int var0, int var1);

   public static native void glNewList(int var0, int var1);

   public static native void glEndList();

   public static native void glCallList(int var0);

   public static native void glBegin(int var0);

   public static native void glVertex2i(int var0, int var1);

   public static native void glVertex2f(float var0, float var1);

   public static native void glVertex3f(float var0, float var1, float var2);

   public static native void glNormal3f(float var0, float var1, float var2);

   public static native void glColor3f(float var0, float var1, float var2);

   public static native void glColor4f(float var0, float var1, float var2, float var3);

   public static native void glColor3ub(byte var0, byte var1, byte var2);

   public static native void glColor4ub(byte var0, byte var1, byte var2, byte var3);

   public static native void glTexCoord2i(int var0, int var1);

   public static native void glTexCoord3i(int var0, int var1, int var2);

   public static native void glTexCoord2f(float var0, float var1);

   public static native void glTexCoord3f(float var0, float var1, float var2);

   public static native void glMultiTexCoord2i(int var0, int var1, int var2);

   public static native void glMultiTexCoord3i(int var0, int var1, int var2, int var3);

   public static native void glMultiTexCoord2f(int var0, float var1, float var2);

   public static native void glRasterPos2i(int var0, int var1);

   public static native void glEnd();

   public static native void glEnableClientState(int var0);

   public static native void glDisableClientState(int var0);

   public static native void glClientActiveTexture(int var0);

   public static native void glVertexPointer(int var0, int var1, int var2, long var3);

   public static native void glNormalPointer(int var0, int var1, long var2);

   public static native void glColorPointer(int var0, int var1, int var2, long var3);

   public static native void glTexCoordPointer(int var0, int var1, int var2, long var3);

   public static native void glVertexAttribPointer(int var0, int var1, int var2, boolean var3, int var4, long var5);

   public static native void glEnableVertexAttribArray(int var0);

   public static native void glDisableVertexAttribArray(int var0);

   public static native void glBindAttribLocation(int var0, int var1, String var2);

   public static native int glGetAttribLocation(int var0, String var1);

   public static native void glGenBuffersARB(int var0, int[] var1, int var2);

   public static native void glBindBufferARB(int var0, int var1);

   public static native void glBufferDataARBa(int var0, int var1, long var2, int var4);

   public static native void glBufferDataARBub(int var0, int var1, byte[] var2, int var3, int var4);

   public static native void glBufferSubDataARBa(int var0, int var1, int var2, long var3);

   public static native void glBufferSubDataARBub(int var0, int var1, int var2, byte[] var3, int var4);

   public static native long glMapBufferARB(int var0, int var1);

   public static native boolean glUnmapBufferARB(int var0);

   public static native void glDeleteBuffersARB(int var0, int[] var1, int var2);

   public static native void glLineWidth(float var0);

   public static native void glPointSize(float var0);

   public static native void glPolygonMode(int var0, int var1);

   public static native void glDrawArrays(int var0, int var1, int var2);

   public static native void glDrawElements(int var0, int var1, int var2, long var3);

   public static native void glGenTextures(int var0, int[] var1, int var2);

   public static native void glDeleteTextures(int var0, int[] var1, int var2);

   public static native void glActiveTexture(int var0);

   public static native void glBindTexture(int var0, int var1);

   public static native void glTexEnvi(int var0, int var1, int var2);

   public static native void glTexEnvf(int var0, int var1, float var2);

   public static native void glTexEnvfv(int var0, int var1, float[] var2, int var3);

   public static native void glTexGeni(int var0, int var1, int var2);

   public static native void glTexGenfv(int var0, int var1, float[] var2, int var3);

   public static native void glTexParameterf(int var0, int var1, float var2);

   public static native void glTexParameteri(int var0, int var1, int var2);

   public static native void glGetTexImagei(int var0, int var1, int var2, int var3, int[] var4, int var5);

   public static native void glGetTexImageub(int var0, int var1, int var2, int var3, byte[] var4, int var5);

   public static native float glGetTexLevelParameterfv(int var0, int var1, int var2);

   public static native int glGetTexLevelParameteriv(int var0, int var1, int var2);

   public static native void glGetTexImage(int var0, int var1, int var2, int var3, byte[] var4);

   public static native void glTexImage1Dub(int var0, int var1, int var2, int var3, int var4, int var5, int var6, byte[] var7, int var8);

   public static native void glCopyTexImage2D(int var0, int var1, int var2, int var3, int var4, int var5, int var6, int var7);

   public static native void glCopyTexSubImage2D(int var0, int var1, int var2, int var3, int var4, int var5, int var6, int var7);

   public static native void glTexImage2Di(int var0, int var1, int var2, int var3, int var4, int var5, int var6, int var7, int[] var8, int var9);

   public static native void glTexImage2Df(int var0, int var1, int var2, int var3, int var4, int var5, int var6, int var7, float[] var8, int var9);

   public static native void glTexImage2Dub(int var0, int var1, int var2, int var3, int var4, int var5, int var6, int var7, byte[] var8, int var9);

   public static native void glTexSubImage2Di(int var0, int var1, int var2, int var3, int var4, int var5, int var6, int var7, int[] var8, int var9);

   public static native void glTexSubImage2Df(int var0, int var1, int var2, int var3, int var4, int var5, int var6, int var7, float[] var8, int var9);

   public static native void glTexSubImage2Dub(int var0, int var1, int var2, int var3, int var4, int var5, int var6, int var7, byte[] var8, int var9);

   public static native void glCopyTexSubImage3D(int var0, int var1, int var2, int var3, int var4, int var5, int var6, int var7, int var8);

   public static native void glTexImage3Dub(int var0, int var1, int var2, int var3, int var4, int var5, int var6, int var7, int var8, byte[] var9, int var10);

   public static native void glCompressedTexImage2Dub(int var0, int var1, int var2, int var3, int var4, int var5, int var6, byte[] var7, int var8);

   public static native void glCopyPixels(int var0, int var1, int var2, int var3, int var4);

   public static native void glReadPixelsi(int var0, int var1, int var2, int var3, int var4, int var5, int[] var6, int var7);

   public static native void glReadPixelsub(int var0, int var1, int var2, int var3, int var4, int var5, byte[] var6, int var7);

   public static native void glDrawPixelsi(int var0, int var1, int var2, int var3, int[] var4, int var5);

   public static native void glDrawPixelsub(int var0, int var1, int var2, int var3, byte[] var4, int var5);

   public static native void glPixelZoom(float var0, float var1);

   public static native void glPixelStorei(int var0, int var1);

   public static native void glPixelTransferf(int var0, float var1);

   public static native void glColorMaterial(int var0, int var1);

   public static native void glLightf(int var0, int var1, float var2);

   public static native void glLightfv(int var0, int var1, float[] var2, int var3);

   public static native void glLightModelfv(int var0, float[] var1, int var2);

   public static native void glMaterialfv(int var0, int var1, float[] var2, int var3);

   public static native void glFogi(int var0, int var1);

   public static native void glFogf(int var0, float var1);

   public static native void glFogfv(int var0, float[] var1, int var2);

   public static native void glBlendFunc(int var0, int var1);

   public static native void glBlendFuncSeparate(int var0, int var1, int var2, int var3);

   public static native void glBlendColor(float var0, float var1, float var2, float var3);

   public static native void glGenFramebuffersEXT(int var0, int[] var1, int var2);

   public static native void glDeleteFramebuffersEXT(int var0, int[] var1, int var2);

   public static native void glBindFramebufferEXT(int var0, int var1);

   public static native void glFramebufferTexture2DEXT(int var0, int var1, int var2, int var3, int var4);

   public static native void glFramebufferTexture3DEXT(int var0, int var1, int var2, int var3, int var4, int var5);

   public static native void glFramebufferRenderbufferEXT(int var0, int var1, int var2, int var3);

   public static native int glCheckFramebufferStatusEXT(int var0);

   public static native void glBlitFramebufferEXT(int var0, int var1, int var2, int var3, int var4, int var5, int var6, int var7, int var8, int var9);

   public static native void glGenerateMipmapEXT(int var0);

   public static native void glGenRenderbuffersEXT(int var0, int[] var1, int var2);

   public static native void glDeleteRenderbuffersEXT(int var0, int[] var1, int var2);

   public static native void glBindRenderbufferEXT(int var0, int var1);

   public static native void glRenderbufferStorageEXT(int var0, int var1, int var2, int var3);

   public static native void glRenderbufferStorageMultisampleEXT(int var0, int var1, int var2, int var3, int var4);

   public static native int glGenProgramARB();

   public static native void glDeleteProgramARB(int var0);

   public static native void glBindProgramARB(int var0, int var1);

   public static native void glProgramStringARB(int var0, int var1, String var2);

   public static native void glProgramRawARB(int var0, int var1, byte[] var2);

   public static native void glProgramLocalParameter4fARB(int var0, int var1, float var2, float var3, float var4, float var5);

   public static native void glProgramLocalParameter4fvARB(int var0, int var1, float[] var2, int var3);

   public static native void glGetProgramivARB(int var0, int var1, int[] var2, int var3);

   public static native int glCreateProgram();

   public static native int glCreateShader(int var0);

   public static native void glDeleteProgram(int var0);

   public static native void glDeleteShader(int var0);

   public static native void glShaderSource(int var0, String var1);

   public static native void glCompileShader(int var0);

   public static native void glAttachShader(int var0, int var1);

   public static native void glDetachShader(int var0, int var1);

   public static native void glLinkProgram(int var0);

   public static native void glUseProgram(int var0);

   public static native int glGetUniformLocation(int var0, String var1);

   public static native void glUniform1i(int var0, int var1);

   public static native void glUniform1f(int var0, float var1);

   public static native void glUniform2f(int var0, float var1, float var2);

   public static native void glUniform3f(int var0, float var1, float var2, float var3);

   public static native void glUniform4f(int var0, float var1, float var2, float var3, float var4);

   public static native void glUniform1fv(int var0, int var1, float[] var2, int var3);

   public static native void glUniform2fv(int var0, int var1, float[] var2, int var3);

   public static native void glUniform3fv(int var0, int var1, float[] var2, int var3);

   public static native void glUniform4fv(int var0, int var1, float[] var2, int var3);

   public static native void glUniformMatrix2fv(int var0, int var1, boolean var2, float[] var3, int var4);

   public static native void glUniformMatrix3fv(int var0, int var1, boolean var2, float[] var3, int var4);

   public static native void glUniformMatrix4fv(int var0, int var1, boolean var2, float[] var3, int var4);

   public static native void glGetProgramiv(int var0, int var1, int[] var2, int var3);

   public static native void glGetShaderiv(int var0, int var1, int[] var2, int var3);

   public static native void glGetProgramInfoLog(int var0, int var1, int[] var2, int var3, byte[] var4, int var5);

   public static native void glGetShaderInfoLog(int var0, int var1, int[] var2, int var3, byte[] var4, int var5);

   public static native int glGetError();

   public static native String glGetString(int var0);

   public static native void glGetFloatv(int var0, float[] var1, int var2);

   public static native void glGetIntegerv(int var0, int[] var1, int var2);

   public static native void glStencilFunc(int var0, int var1, int var2);

   public static native void glStencilOp(int var0, int var1, int var2);

   public boolean method2778(String var1) {
      if(null == this.aHashtable1732) {
         this.aHashtable1732 = new Hashtable();
         String var2 = glGetString(7939);
         int var3 = 0;

         while(true) {
            int var4 = var2.indexOf(32, var3);
            if(-1 == var4) {
               String var6 = var2.substring(var3).trim();
               if(var6.length() != 0) {
                  this.aHashtable1732.put(var6, var6);
               }
               break;
            }

            String var5 = var2.substring(var3, var4).trim();
            if(var5.length() != 0) {
               this.aHashtable1732.put(var5, var5);
            }

            var3 = var4 + 1;
         }
      }

      return this.aHashtable1732.containsKey(var1);
   }

   public boolean method2779(String var1) {
      if(null == this.aHashtable1732) {
         this.aHashtable1732 = new Hashtable();
         String var2 = glGetString(7939);
         int var3 = 0;

         while(true) {
            int var4 = var2.indexOf(32, var3);
            if(-1 == var4) {
               String var6 = var2.substring(var3).trim();
               if(var6.length() != 0) {
                  this.aHashtable1732.put(var6, var6);
               }
               break;
            }

            String var5 = var2.substring(var3, var4).trim();
            if(var5.length() != 0) {
               this.aHashtable1732.put(var5, var5);
            }

            var3 = var4 + 1;
         }
      }

      return this.aHashtable1732.containsKey(var1);
   }

   public boolean method2780(String var1) {
      if(null == this.aHashtable1732) {
         this.aHashtable1732 = new Hashtable();
         String var2 = glGetString(7939);
         int var3 = 0;

         while(true) {
            int var4 = var2.indexOf(32, var3);
            if(-1 == var4) {
               String var6 = var2.substring(var3).trim();
               if(var6.length() != 0) {
                  this.aHashtable1732.put(var6, var6);
               }
               break;
            }

            String var5 = var2.substring(var3, var4).trim();
            if(var5.length() != 0) {
               this.aHashtable1732.put(var5, var5);
            }

            var3 = var4 + 1;
         }
      }

      return this.aHashtable1732.containsKey(var1);
   }

   public synchronized boolean method2781() {
      if(this.aThread1733 != Thread.currentThread()) {
         return false;
      } else {
         this.detachPeer();
         aHashtable1734.remove(this.aThread1733);
         this.aThread1733 = null;
         return true;
      }
   }

   public synchronized boolean method2782() {
      if(this.aThread1733 != Thread.currentThread()) {
         return false;
      } else {
         this.detachPeer();
         aHashtable1734.remove(this.aThread1733);
         this.aThread1733 = null;
         return true;
      }
   }

   public synchronized boolean method2783() {
      if(this.aThread1733 != Thread.currentThread()) {
         return false;
      } else {
         this.detachPeer();
         aHashtable1734.remove(this.aThread1733);
         this.aThread1733 = null;
         return true;
      }
   }
}
